Skip to main content
GET
/
users
/
{user_id}
/
facts
List facts
curl --request GET \
  --url https://production.api.onvy.health/users/{user_id}/facts \
  --header 'X-API-Key: <api-key>'
{
  "facts": [
    {
      "text": "<string>",
      "type": "mind",
      "user_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "source": "survey",
      "id": "<string>",
      "certainty_on_creation": 0.5,
      "certainty_on_update": 0.5
    }
  ],
  "pagination": {
    "limit": 500,
    "total": 1,
    "page": "<string>",
    "next_page": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

user_id
string
required

User ID (e.g., google_104940819145861640201)

Query Parameters

page
string

Page Key for pagination

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
type
enum<string>

Filter by fact type

Available options:
mind,
body,
activity,
nutrition,
sleep,
recovery,
goal

Response

List of facts

facts
Fact · object[]
required
pagination
Pagination · object
required